---
title: DQI types
slug: dqi-types
docTags: 
createdAt: 2022-04-14T07:56:20.000Z
---

Methods allow you to get a list of portal DQIs or information on a specific DQI.

***

::::ExpandableHeading
# <font color="#2166ae">GET</font> /dqi\_types

Return a list of DQIs.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.1/dqi_types/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "Integer",
        "description": "The number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "Integer",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "FJ3zsBaijz6TuVFI40xNy",
        "code": "{\n   \"count\":12,\n   \"next\":null,\n   \"previous\":null,\n   \"results\":[\n      {\n         \"id\":1,\n         \"uuid\":\"844e8e37-e4b5-4c8f-9fa8-933e3726e526\",\n         \"cid\":\"DQI_IMAGE_PERSPECTIVE_ANGLE_HORIZONTAL\",\n         \"created_at\":\"2021-09-22T13:27:05.049034Z\",\n         \"updated_at\":\"2021-10-22T15:53:40.395212Z\",\n         \"name\":\"Perspective angle horizontal\",\n         \"description\":\"\",\n         \"related_to\":\"IMAGE\",\n         \"severity\":\"INFO\",\n         \"threshold\":0.3\n      },\n      {\n         \"id\":2,\n         \"uuid\":\"ae2858eb-60a3-4f3e-b591-03a380615f33\",\n         \"cid\":\"DQI_IMAGE_PERSPECTIVE_ANGLE_VERTICAL\",\n         \"created_at\":\"2021-09-22T13:27:05.053373Z\",\n         \"updated_at\":\"2021-10-22T15:53:40.396190Z\",\n         \"name\":\"Perspective angle vertical\",\n         \"description\":\"\",\n         \"related_to\":\"IMAGE\",\n         \"severity\":\"INFO\",\n         \"threshold\":0.3\n      },\n      {\n         \"id\":3,\n         \"uuid\":\"cf6ceaa1-8ba4-45d0-9bdc-d1455f2ad2cd\",\n         \"cid\":\"DQI_SCENE_INVALID_CATEGORY\",\n         \"created_at\":\"2021-09-22T13:27:05.057785Z\",\n         \"updated_at\":\"2021-10-22T15:53:40.392974Z\",\n         \"name\":\"Invalid category\",\n         \"description\":\"\",\n         \"related_to\":\"SCENE\",\n         \"severity\":\"INFO\",\n         \"threshold\":0.5\n      }\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FJ3zsBaijz6TuVFI40xNy"
  },
  "examples": {
    "languages": [
      {
        "id": "dpmODah_ZAOTKtuSexN5X",
        "code": "curl –i –X GET\n  https://test.eyrene.com/api/data/v1.1/dqi_types/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\n  -F \"limit=1\" \\\n  -F \"offset=0\"  ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dpmODah_ZAOTKtuSexN5X"
  },
  "description": "GET /dqi_types",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "jPh9OoTYmktMqVETBlXqc"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1/agents/agents_list#response-definitions)

***

`count` *integer*

The number of DQIs.

***

`next` *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

`previous` *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

`results` *array of objects*

An array of objects with information about DQI types.

- `id` *integer (bigint)*
  DQI ID.
- `uuid` *string*
  Universal unique identifier of DQI.
- `cid` *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>
  DQI ID in the user's system.
- `created_at` *string (date-time)*
  Date of creation of the DQI in the format «YYYY-MM-DDTHH\:MM\:SSZ».
- `updated_at` *string (date-time)*
  DQI update date in the format «YYYY-MM-DDTHH\:MM\:SSZ».
- `name` *string* <font color="#2166ae">[ 1 .. 255 ]</font> <font color="#2166ae">characters</font>
  DQI name.
- `description` *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>
  DQI description.
- `related_to` *string*
  Indicates what the DQI indicator refers to.
- `severity` *string*
  DQI severity.
- `threshold` *float*
  The threshold below or above which the DQI should not fall.

***


::::

***

::::ExpandableHeading
# <font color="#2166ae">GET</font> /dqi\_types/\{id}

Returns information about the DQI by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.1/dqi_types/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "DQI ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "FJ3zsBaijz6TuVFI40xNy",
        "code": "{\n   \"id\":1979894965,\n   \"uuid\":\"844e8e37-e4b5-4c8f-9fa8-933e3726e526\",\n   \"cid\":\"DQI_IMAGE_PERSPECTIVE_ANGLE_HORIZONTAL\",\n   \"created_at\":\"2021-09-22T13:27:05.049034Z\",\n   \"updated_at\":\"2021-10-22T15:53:40.395212Z\",\n   \"name\":\"Perspective angle horizontal\",\n   \"description\":\"\",\n   \"related_to\":\"IMAGE\",\n   \"severity\":\"INFO\",\n   \"threshold\":0.3\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FJ3zsBaijz6TuVFI40xNy"
  },
  "examples": {
    "languages": [
      {
        "id": "dpmODah_ZAOTKtuSexN5X",
        "code": "curl –i –X GET\n  https://test.eyrene.com/api/data/v1.1/dqi_types/1979894965/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dpmODah_ZAOTKtuSexN5X"
  },
  "description": "GET /dqi_types/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "jkKXb1VpTb2D-sS0wURUl"
}
```
:::

## Response parameters

***

`id` *integer (bigint)*

DQI ID.

***

`uuid` *string*

Universal unique identifier of DQI.

***

`cid` *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>

DQI ID in the user's system.

***

`created_at` *string (date-time)*

Date of creation of the DQI in the format «YYYY-MM-DDTHH\:MM\:SSZ».

***

`updated_at` *string (date-time)*

DQI update date in the format «YYYY-MM-DDTHH\:MM\:SSZ».

***

`name` *string* <font color="#2166ae">[ 1 .. 255 ]</font> <font color="#2166ae">characters</font>

DQI name.

***

`description` *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>

DQI description.

***

`related_to` *string*

Indicates what the DQI indicator refers to.

***

`severity` *string*

DQI severity.

***

`threshold` *float*

The threshold below or above which the DQI should not fall.

***


::::

***

